Bug 1004495 - Install missing dependecies
Install missing dependecies
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: askbot (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 14:26 EDT by Alejandro_Perez
Modified: 2014-01-25 00:07 EST (History)
7 users (show)

See Also:
Fixed In Version: askbot-0.7.49-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-25 00:07:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alejandro_Perez 2013-09-04 14:26:01 EDT
Description of problem:
Installing Askbot, install correctly but when try to run it, it start asking for missing depenancies

Version-Release number of selected component (if applicable):
0.7.48

How reproducible:
Install askbot and try to create a site

Steps to Reproduce:
1. yum install Djang14
2. yum install askbot
3. askbot-setup

Actual results:
missing dependeci nose, chardet, 

Expected results:
config question and install 

Additional info:

if included on the spec as requirement this packages will make it run
python-celery
python-chardet
python-nose
python-daemon

Celery package on Centos has version 2.2.8 and askbot require version celery=2.2.7, so it need to be pachet to accept 2.2.8 we installed celery with pip and works.

Aditional not require but suggested 
apache mod_wsgi and MySQL-python

All this will solve the issue on infra to support multilanguage on Fedora Ask
Comment 1 Kevin Fenzi 2013-09-16 17:04:58 EDT
echevemaster was doing some work on this. He had a prelim patch, but still needed some work... 

adding him to cc here.
Comment 2 Eduardo Echeverria 2013-11-08 19:26:25 EST
Alejandro, Kevin, please test, I've made a patch for upfiles location and Anshu has fixed the dependencies correctly, you can see the conversation in https://bugzilla.redhat.com/show_bug.cgi?id=1010166

let me know for build 
http://echevemaster.fedorapeople.org/askbot/1/askbot.spec
http://echevemaster.fedorapeople.org/askbot/1/askbot-0.7.49-1.el6.src.rpm
Comment 3 Alejandro_Perez 2013-11-09 23:33:11 EST
I rebuild it from the src on plain basic centos box, the only requirements needed to install where the build requirements python-setuptools python-devel gettext, no other requirements where needed. I also install the result rpm with no problem.
So good work.
Comment 4 Ankur Sinha (FranciscoD) 2014-01-11 21:07:06 EST
(In reply to Eduardo Echeverria from comment #2)
> Alejandro, Kevin, please test, I've made a patch for upfiles location and
> Anshu has fixed the dependencies correctly, you can see the conversation in
> https://bugzilla.redhat.com/show_bug.cgi?id=1010166
> 
> let me know for build 
> http://echevemaster.fedorapeople.org/askbot/1/askbot.spec
> http://echevemaster.fedorapeople.org/askbot/1/askbot-0.7.49-1.el6.src.rpm

Does the update pushed for this bug fix this issue too?

https://bugzilla.redhat.com/show_bug.cgi?id=1010166
Comment 5 Kevin Fenzi 2014-01-12 13:42:03 EST
Yes, it should. 

I can add this bug to the fixed list on the update. ;)
Comment 6 Fedora Update System 2014-01-12 13:45:54 EST
askbot-0.7.49-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0096/askbot-0.7.49-1.el6
Comment 7 Fedora Update System 2014-01-25 00:07:56 EST
askbot-0.7.49-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.